/*---------------------------------------------
    Header Menu
---------------------------------------------*/

.nav-area .navigation-content {
    position: relative;
    display: grid;
    /* padding: 20px 0; */
    align-items: center;
    grid-template-columns: 3.5fr 1fr;
}

/*** Menu Bar ***/

.menubar ul.menu-wrap {
    display: flex;
    align-items: center;
    column-gap: 15px;
}

.menubar .menu-wrap>li>a {
    padding: 0 10px;
    display: inline-flex;
    text-decoration: none;
    font-weight: 600;
    font-size: 16px;
}

.menubar .menu-wrap>li>a>.badge {
    position: absolute;
    top: 10%;
    left: 50%;
    font-size: 12px;
    font-weight: 600;
    padding: 2px 4px;
    border-radius: 2px;
    transform: translateX(-50%);
    background-color: var(--sp-secondary);
}

.menubar .menu-wrap>li>a>.badge.badge-drop::before {
    content: '';
    position: absolute;
    left: 50%;
    bottom: -5px;
    width: 10px;
    height: 6px;
    background: inherit;
    transform: translateX(-50%);
    clip-path: polygon(100% 0, 0 0, 50% 100%);
}

.menubar ul.menu-wrap>li.dropdown>a {
    padding-right: 24px;
}

.menu-wrap>li>a,
.dropdown-menu li a {
    position: relative;
    display: block;
    text-align: inherit;
    z-index: 0;
    line-height: 80px;
	color: var(--sp-primary);
}

.menubar .menu-wrap>li.dropdown>a:before {
    content: "\f107";
    font-family: FontAwesome;
    position: absolute;
    top: 0;
    right: 5px;
    bottom: 0;
    display: flex;
    align-items: center;
    background: transparent;
    font-size: 110%;
}

.menubar .menu-wrap .menu-item.dropdown.open>a,
.menubar .menu-wrap .current-menu-item>a,
.menubar .menu-wrap .current-menu-ancestor>a,
.menubar .menu-wrap>li:hover>a {
    color: var(--sp-secondary);
}

.navbar-area .menubar .dropdown-menu {
    position: absolute;
    top: 100%;
    z-index: 9;
    width: 215px;
    background: var(--dark-1);
    padding: 0;
    margin: 0;
    border: 0;
    border-radius: 1px;
    box-shadow: var(--sp-shadow);
    font-size: 1rem;
    text-align: left;
    display: block;
    opacity: 0;
    visibility: hidden;
    transform-origin: top;
    transform: scaleY(0);
    -webkit-transform-origin: 0 0;
    /* transform: perspective(600px) rotateX(-100deg); */
    transition: transform 0.5s ease, opacity 0.3s ease;
}

.footer .menu-wrap .dropdown-menu li:hover>a,
.footer .menu-wrap .dropdown-menu li:focus-within>a,
.footer-copyright .widget_nav_menu .sub-menu li:hover>a,
.footer-copyright .widget_nav_menu .sub-menu li:focus-within>a,
.header .widget_nav_menu .sub-menu li:hover>a,
.header .widget_nav_menu .sub-menu li:focus-within>a,
.menubar .dropdown-menu li:hover>a,
.menubar .dropdown-menu li:focus-within>a {
    padding-left: 30px;
}

.menubar .dropdown-menu li.menu-item.dropdown:hover>a {
    padding-left: 15px;
}

.menubar .dropdown-menu li.menu-item.dropdown>a::before {
    content: unset;
}

.menu-link-item .dropdown-item::before,
.menubar .dropdown-menu li>a::before {
    content: '\f04d';
    position: absolute;
    font-family: 'FontAwesome';
    margin-left: 10px;
    top: 50%;
    left: 0;
    opacity: 0;
    font-size: 12px;
    border-radius: 50%;
    transform: translateY(-50%) scale(0);
    transition: transform 0.4s ease-in-out, opacity 0.4s ease-in-out;
    animation: rotatee 5s linear infinite;
}

@keyframes rotatee {
    0% {
        transform: translateY(-50%) scale(1) rotate(0);
    }

    100% {
        transform: translateY(-50%) scale(1) rotate(-360deg);
    }
}

.menu-link-item .dropdown-item:focus::before,
.menubar .dropdown-menu li>a:focus::before,
.menu-link-item .dropdown-item:hover::before,
.menubar .dropdown-menu li>a:hover::before {
    opacity: 1;
}

.footer .menu-wrap .menubar .dropdown-menu>li,
.footer-copyright .widget_nav_menu .sub-menu>li,
.header .widget_nav_menu .sub-menu>li,
.navbar-area .menubar .dropdown-menu>li {
    padding: 0;
    position: relative;
    height: auto;
}

.footer .menu-wrap .dropdown-menu li a,
.footer-copyright .widget_nav_menu .sub-menu li a,
.header .widget_nav_menu .sub-menu li a,
.menubar .dropdown-menu li a {
    font-size: 15.2px;
    line-height: 1;
    padding: 12px 15px;
    border-bottom: 1px solid #eeeeee;
    text-transform: none;
    white-space: normal;
    text-decoration: none;
}

.footer-copyright .widget_nav_menu .menu-item:hover>.sub-menu,
.footer-copyright .widget_nav_menu .menu-item:focus-within>.sub-menu,
.header .widget_nav_menu .menu-item:hover>.sub-menu,
.header .widget_nav_menu .menu-item:focus>.sub-menu,
.header .widget_nav_menu .menu-item:focus-within>.sub-menu,
.footer .menu-wrap .menu-item:hover>.dropdown-menu,
.footer .menu-wrap .menu-item:focus>.dropdown-menu,
.navbar-area .menu-wrap .menu-item:hover>.dropdown-menu,
.navbar-area .menu-wrap .menu-item:focus>.dropdown-menu,
.navbar-area .menu-wrap .menu-item:focus-within>.dropdown-menu {
    opacity: 1;
    visibility: visible;
    transform: scaleY(1);
    pointer-events: auto;
    /* transform: perspective(600px) rotateX(0deg); */
}

.footer .menu-wrap .dropdown-menu .dropdown>a:after,
.footer-copyright .widget_nav_menu .sub-menu .menu-item-has-children>a:after,
.header .widget_nav_menu .sub-menu .menu-item-has-children>a:after,
.menubar .dropdown-menu .dropdown>a:after {
    font-family: "FontAwesome";
    content: "\f105";
    position: absolute;
    top: 50%;
    right: 15px;
    font-size: medium;
    opacity: 0.7;
    font-weight: 100;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
}

.menubar .dropdown-menu .dropdown:hover>a:after,
.menubar .dropdown-menu .dropdown.focus>a:after {
    opacity: 1;
    /* -webkit-text-fill-color: var(--sp-primary); */
}

.header .widget_nav_menu .sub-menu li .sub-menu,
.menubar .dropdown-menu li .dropdown-menu {
    left: 100%;
    margin-top: 0;
    margin-left: 0;
}

.header .widget_nav_menu .sub-menu li .sub-menu,
.navbar-area .menubar .dropdown-menu li .dropdown-menu {
    top: 0px;
    transform: translateY(-12px);
}

.menubar .nav li .dropdown-menu li .dropdown-menu,
.menubar .nav li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu {
    left: 100%;
    top: 0;
}

.menubar .nav li .dropdown-menu li .dropdown-menu li .dropdown-menu,
.menubar .nav li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu,
.menubar .nav li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu {
    top: 100%;
    left: 0%;
}

.menubar .nav li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu,
.menubar .nav li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu {
    left: -100%;
    top: 0%;
}

.menubar .nav li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu {
    top: 0%;
    left: -100%;
}

/* .sticky-nav {
    box-shadow: 0px 0px 10px rgb(0 0 0 / 25%);
} */

.sticky-nav.sticky-menu {
    position: fixed;
    top: -1px;
    left: 0;
    right: 0;
    width: 100%;
    z-index: 999;
    background: var(--dark-1);
    box-shadow: var(--sp-shadow);
    animation: 500ms ease-in-out 0s normal none 1 running fadeInDown;
}

.sticky-menu .menu-wrap>li>a {
    line-height: 65px;
}

.sticky-menu .menubar .menu-wrap>li>a>.badge {
    top: 8px;
}

.menubar .mobile-toggler {
    display: none;
    border-bottom: 1px solid var(--sp-border-dark);
    width: fit-content;
    height: auto;
    align-items: center;
    justify-content: center;
}

.menubar .mobile-toggler button {
    padding: 0;
    width: 20px;
    height: 20px;
    border: none;
    border-radius: 25px;
    color: var(--sp-white);
    background-color: var(--sp-primary);
}

.menubar .menu-wrap .menu-item.dropdown>.mobile-toggler button:hover,
.menubar .menu-wrap .menu-item.dropdown>.mobile-toggler button:focus,
.menubar .menu-wrap .menu-item.dropdown.open>.mobile-toggler button {
    color: var(--sp-white);
    background-color: var(--sp-secondary);
}

.menubar .mobile-toggler button:hover {
    color: var(--sp-white);
}


/* Mega Menu */
.dropdown-menu.mega-menu-wrapper {
    border: none;
    margin-left: 0;
    margin-bottom: 10px;
    box-shadow: var(--sp-shadow);
    padding: 20px 15px !important;
    background-color: var(--dark-1);
}

.main-navbar .dropdown-menu.mega-menu-wrapper {
    width: 100%;
    left: 50%;
    top: 100%;
    border-radius: var(--sp-radius);
    transform-origin: top;
    transform: translateX(-50%) scaleY(0);
    /* transform: translateX(-50%) perspective(600px) rotateX(-100deg); */
    transition: transform 0.5s ease, opacity 0.3s ease;
}


.navbar-area .menu-wrap .menu-item:focus-within>.mega-menu-wrapper,
.navbar-area .menu-wrap .menu-item:hover>.mega-menu-wrapper {
    transform: translateX(-50%) scaleY(1);
    /* transform: translateX(-50%) perspective(600px) rotateX(0deg); */
}

.mega-menu-wrapper.dropdown-menu .dropdown-item {
    clear: unset;
    width: auto;
    background-color: transparent;
}

.menu-thumbnail-item .dropdown-item>img {
    width: 60px;
    height: 60px;
    float: left;
    object-fit: contain;
    padding: 5px;
    border-radius: 100%;
    box-shadow: var(--sp-shadow);
}

.menu-thumbnail-item .dropdown-item>i {
    width: 60px;
    height: 60px;
    float: left;
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 30px;
    color: var(--sp-secondary);
    background-color: var(--dark-1);
    box-shadow: var(--sp-shadow);
    transition: var(--sp-transition);
}

.menu-thumbnail-item:hover .dropdown-item>i,
.menu-thumbnail-item:focus-within .dropdown-item>i {
    color: var(--sp-white);
    background-color: var(--sp-primary);
}

.menu-single-item .link-item-description,
.thumbnail-item-title {
    padding-left: 70px;
}

.thumbnail-item-title {
    font-weight: 600;
    font-size: 18px;
}

.thumbnail-item-title+p {
    margin-top: 5px;
    line-height: 1.2;
    margin-bottom: 0;
    font-weight: 300;
}

.thumbnail-item-title .badge {
    border-radius: 2px;
    padding: 2px 6px 1px;
    font-weight: 500;
    margin-left: 5px;
}

.menu-link-item h3 {
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 15px;
    padding: 12px;
    color: var(--sp-white);
    border-radius: 2px;
    background: var(--sp-primary);
    outline: 1px dashed var(--sp-white);
    outline-offset: -4px;
    cursor: pointer;
}

.has-mega-menu.dropdown {
    position: static;
}

.has-mega-menu .sticker-trendy::after,
.has-mega-menu .sticker-new::after {
    font-size: 11px;
    line-height: 15px;
    color: #ffffff;
    padding: 2px 5px;
    border-radius: 3px;
    margin-left: 10px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}
.has-mega-menu .menu-thumbnail-item .sticker-trendy::after,
.has-mega-menu .menu-thumbnail-item .sticker-new::after {
    top: 15px;
}

.has-mega-menu .sticker-new::after {
    background: var(--sp-primary);
    content: "New";
}

.has-mega-menu .sticker-trendy::after {
    background: var(--sp-secondary);
    content: "Hot";
}

.menu-link-item .dropdown-item:focus-within,
.menu-link-item .dropdown-item:hover {
    padding-left: 30px !important;
}

.menu-single-item .dropdown-item:focus-within,
.menu-single-item .dropdown-item:hover {
    color: var(--sp-secondary);
}

/* main-mobile-menu */
.main-mobile-nav {
    width: 100%;
    display: none;
}

.main-mobile-menu {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 8px 10px;
    min-height: 50px;
    border-bottom: 1px solid var(--sp-border-dark);
}

.main-mobile-nav .header-search-form {
    margin-top: 10px;
    margin-bottom: 10px;
}

.main-mobile-nav.sticky-nav.sticky-menu .main-mobile-menu {
    display: none;
}

.navbar-area .menu-right .menu-right-list {
    display: flex;
    height: 100%;
    gap: 10px;
    align-items: center;
    justify-content: start;
}

.toggle-lines {
    width: 42px;
    height: 42px;
    padding: 10px;
    display: inline-block;
    position: relative;
    border: none;
    border-radius: 50%;
    background: var(--sp-primary);
    transition: 0.5s ease-in-out;
}

.toggle-lines:hover,
.toggle-lines:focus {
    background: var(--sp-secondary);
}

.toggle-lines>span {
    display: block;
    position: absolute;
    height: 2px;
    width: 100%;
    border-radius: 1px;
    opacity: 1;
    left: 10px;
    background: var(--sp-white);
    transform: rotate(0deg);
    transition: 0.25s ease-in-out;
}

.toggle-lines .top-bun {
    top: 10px;
    width: 22px;
}

.toggle-lines .meat {
    top: 20px;
    width: 25px;
}

.toggle-lines .bottom-bun {
    top: 30px;
    width: 20px;
}

.toggle-lines.open .top-bun {
    top: 20px;
    transform: rotate(135deg);
}

.toggle-lines.open .meat {
    opacity: 0;
    left: -60px;
}

.toggle-lines.open .bottom-bun {
    top: 20px;
    width: 23px;
    transform: rotate(-135deg);
}

.menu-toggle.open~.fade-overlay {
    opacity: 0.5;
    visibility: visible;
    z-index: 2;
}

.fade-overlay {
    position: fixed;
    top: 0;
    background-color: #000;
    width: 0;
    height: 100%;
    opacity: 0.5;
    transition: all 0.3s;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -o-transition: all 0.3s;
    z-index: 999;
}

.fade-overlay {
    left: 0;
    width: 100%;
    opacity: 0;
    visibility: hidden;
    z-index: -1;
}

.menubar .menu-close {
    position: absolute;
    top: 0;
    right: 0;
    width: 20px;
    height: 20px;
    line-height: 20px;
    text-align: center;
    color: var(--sp-white);
    border-bottom-left-radius: 4px;
    background-color: var(--sp-highlight);
}

@media (min-width: 1199px) {
    .mega-menu-wrapper.dropdown-menu .menu-thumbnail-item .dropdown-item {
        margin-bottom: 20px;
    }

}

@media (min-width: 992px) {
    .mega-menu-wrapper.dropdown-menu .menu-thumbnail-item .dropdown-item {
        margin-bottom: 10px;
        border-radius: var(--sp-radius);
        border: 1px dashed var(--sp-border-dark);
    }

    .has-mega-menu::after {
        content: "";
        position: absolute;
        top: 90%;
        margin-left: -50px;
        margin-right: auto;
        width: 0;
        height: 0;
        z-index: 9;
        opacity: 0;
        visibility: hidden;
        border-left: 8px solid transparent;
        border-right: 8px solid transparent;
        border-bottom: 10px solid var(--dark-1);
        transition: all 0.3s ease-in-out 0s;
        filter: drop-shadow(0 -2px 4px rgba(63, 63, 63, 0.2));
    }

    .has-mega-menu:focus-within::after,
    .has-mega-menu:hover::after {
        opacity: 1;
        visibility: visible;
        transform: scaleY(1);
    }

    /* .mega-menu-wrapper.dropdown-menu .row>.col-lg-6:has(.menu-thumbnail-item):not(:nth-child(2n)) { */
        /* border-left: 1px solid var(--sp-border-dark); */
    /* } */
}

@media only screen and (max-width: 991px) {
    .menubar {
        left: -100%;
        overflow-y: scroll;
        overflow-x: hidden;
        position: fixed;
        width: 260px;
        top: 0;
        margin: 0;
        z-index: 99999;
        opacity: 0;
        visibility: hidden;
        transition: all 0.5s;
        height: 100vh !important;
        background-color: var(--dark-2);
    }

    .menubar.show {
        left: 0;
        margin: 0;
        opacity: 1;
        visibility: visible;
        transition: all 0.5s;
        transition-delay: 0.2s;
    }   

    .menubar .logo {
        height: fit-content !important;
        padding: 10px 20px;
    }

    .main-mobile-nav {
        display: block;
    }

    .mega-menu-wrapper.dropdown-menu .menu-thumbnail-item .dropdown-item {
        padding: 5px;
    }

    .menubar .mobile-toggler {
        display: inline-flex;
    }

    .menubar ul.menu-wrap {
        display: block;
        padding: 0 10px;
    }

    .menubar .menu-wrap li.dropdown {
        display: flex;
        justify-content: flex-start;
        flex-wrap: wrap;
    }

    .menubar .menu-wrap>li a {
        display: block;
        flex: 1;
        width: 100%;
        line-height: 40px;
        border-bottom: 1px solid var(--sp-border-dark);
    }

    .menubar .menu-wrap>li>a>.badge {
        top: 50%;
        left: auto;
        right: unset;
        margin-left: 6px;
        transform: translateY(-50%);
    }

    .menubar .menu-wrap>li>a>.badge.badge-drop::before {
        left: -5px;
        top: 50%;
        width: 6px;
        height: 10px;
        bottom: unset;
        transform: translateY(-50%);
        clip-path: polygon(100% 0, 0 50%, 100% 100%);
    }

    /* .menubar .menu-wrap>li a {
        display: block;
        line-height: 2.8;
    } */

    .menubar .dropdown-menu li a {
        font-size: 15px;
        padding: 0 15px;
    }

    .menubar .menu-wrap>li.dropdown.open>a:before,
    .menubar .dropdown-menu .dropdown.open>a:after {
        content: '\f107';
        color: var(--sp-primary);
    }

    .menubar::-webkit-scrollbar {
        display: none;
    }

    .menubar .dropdown-menu li .dropdown-menu {
        margin-left: 5px;
        transform: unset;
    }

    .navbar-area .menubar .dropdown-menu {
        position: static;
        width: auto;
        background: 0 0;
        box-shadow: none;
        margin: 0;
        max-height: 0;
        overflow: hidden;
        z-index: 999;
        width: 100%;
        transform: unset;
        border: none;
        opacity: 0;
        visibility: hidden !important;
        animation: open 0.5s ease-in-out;
        transition: max-height 0.5s ease-in-out, opacity 0.4s ease-in-out, visibility 0.4s ease-in-out;
    }

    .menu-item.open>.dropdown-menu {
        display: block;
        visibility: visible !important;
        opacity: 1;
        max-height: 100%;
        width: 100%;
    }

    .main-navbar .dropdown-menu.mega-menu-wrapper {
        padding: 0 !important;
        margin-top: 0;
        transform: translateX(0) !important;
    }

    .menu-link-item h3 {
        margin-top: 10px;
        margin-bottom: 0;
        font-size: 15px;
        font-weight: 500;
        padding: 10px 15px;
    }

    .thumbnail-item-title {
        font-size: 14px;
    }
    .thumbnail-item-title+p {
        font-size: 12px;
    }


    .menu-single-item .link-item-description,
    .thumbnail-item-title {
        line-height: 1.5;
        padding-left: 75px;
    }

    .mega-menu-wrapper.dropdown-menu .dropdown-item {
        border-bottom: 1px solid var(--sp-border-dark);
    }

    .menubar .menu-wrap>li a:hover .mobile-toggler>button,
    .menubar .menu-wrap>li a:focus .mobile-toggler>button,
    .menubar .menu-wrap>li.dropdown.open>.mobile-toggler>button,
    .menubar .menu-wrap>li.dropdown .dropdown-menu>li.dropdown.open>.mobile-toggler>button,
    .menubar .menu-wrap>li.dropdown .dropdown-menu>li.dropdown.open>li.dropdown.open>.mobile-toggler>button {
        color: var(--sp-white);
        background-color: var(--sp-secondary);
    }

    .menubar .menu-wrap>li.dropdown .mobile-toggler>button.fa-chevron-right:before {
        content: "\f105";
    }

    .menubar .menu-wrap>li.dropdown.open>.mobile-toggler>button.fa-chevron-right:before,
    .menubar .menu-wrap>li.dropdown .dropdown-menu>li.dropdown.open>.mobile-toggler>button.fa-chevron-right:before,
    .menubar .menu-wrap>li.dropdown .dropdown-menu>li.dropdown.open>li.dropdown.open>.mobile-toggler>button.fa-chevron-right:before {
        content: '\f107';
    }

    .menubar .dropdown-menu .dropdown.open>a:after,
    .menubar .menu-wrap>li.dropdown.open>a:before,
    .menubar .dropdown-menu .dropdown>a:after,
    .menubar .menu-wrap>li.dropdown>a:before {
        content: unset;
    }
}